# `util_linux_jll.jl` (v2.40.1+0)

[![deps](https://juliahub.com/docs/util_linux_jll/deps.svg)](https://juliahub.com/ui/Packages/util_linux_jll/DGQMC?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/4d43c61709059fbcbb24b014875cdf5736b0c342/U/util_linux/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `util_linux_jll.jl` have been built from these sources:

* compressed archive: https://mirrors.edge.kernel.org/pub/linux/utils/util-linux/v2.40/util-linux-2.40.1.tar.xz (SHA256 checksum: `59e676aa53ccb44b6c39f0ffe01a8fa274891c91bef1474752fad92461def24f`)

## Platforms

`util_linux_jll.jl` is available for the following platforms:

* `Linux aarch64 {libc=glibc}` (`aarch64-linux-gnu`)
* `Linux aarch64 {libc=musl}` (`aarch64-linux-musl`)
* `Linux armv6l {call_abi=eabihf, libc=glibc}` (`armv6l-linux-gnueabihf`)
* `Linux armv6l {call_abi=eabihf, libc=musl}` (`armv6l-linux-musleabihf`)
* `Linux armv7l {call_abi=eabihf, libc=glibc}` (`armv7l-linux-gnueabihf`)
* `Linux armv7l {call_abi=eabihf, libc=musl}` (`armv7l-linux-musleabihf`)
* `Linux i686 {libc=glibc}` (`i686-linux-gnu`)
* `Linux i686 {libc=musl}` (`i686-linux-musl`)
* `Linux powerpc64le {libc=glibc}` (`powerpc64le-linux-gnu`)
* `Linux x86_64 {libc=glibc}` (`x86_64-linux-gnu`)
* `Linux x86_64 {libc=musl}` (`x86_64-linux-musl`)

## Dependencies

The following JLL packages are required by `util_linux_jll.jl`:

* [`SQLite_jll`](https://github.com/JuliaBinaryWrappers/SQLite_jll.jl)
* [`Zlib_jll`](https://github.com/JuliaBinaryWrappers/Zlib_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libblkid`
* `LibraryProduct`: `libfdisk`
* `LibraryProduct`: `liblastlog2`
* `LibraryProduct`: `libmount`
* `LibraryProduct`: `libsmartcols`
* `LibraryProduct`: `libuuid`
* `ExecutableProduct`: `addpart`
* `ExecutableProduct`: `agetty`
* `ExecutableProduct`: `blkdiscard`
* `ExecutableProduct`: `blkid`
* `ExecutableProduct`: `blkzone`
* `ExecutableProduct`: `blockdev`
* `ExecutableProduct`: `cal`
* `ExecutableProduct`: `chcpu`
* `ExecutableProduct`: `chmem`
* `ExecutableProduct`: `choom`
* `ExecutableProduct`: `chrt`
* `ExecutableProduct`: `colcrt`
* `ExecutableProduct`: `colrm`
* `ExecutableProduct`: `column`
* `ExecutableProduct`: `ctrlaltdel`
* `ExecutableProduct`: `delpart`
* `ExecutableProduct`: `dmesg`
* `ExecutableProduct`: `eject`
* `ExecutableProduct`: `enosys`
* `ExecutableProduct`: `exch`
* `ExecutableProduct`: `fallocate`
* `ExecutableProduct`: `fdformat`
* `ExecutableProduct`: `fdisk`
* `ExecutableProduct`: `fincore`
* `ExecutableProduct`: `findfs`
* `ExecutableProduct`: `findmnt`
* `ExecutableProduct`: `flock`
* `ExecutableProduct`: `fsck`
* `ExecutableProduct`: `fsck_cramfs`
* `ExecutableProduct`: `fsck_minix`
* `ExecutableProduct`: `fsfreeze`
* `ExecutableProduct`: `fstrim`
* `ExecutableProduct`: `getopt`
* `ExecutableProduct`: `hardlink`
* `ExecutableProduct`: `hexdump`
* `ExecutableProduct`: `hwclock`
* `ExecutableProduct`: `ionice`
* `ExecutableProduct`: `ipcmk`
* `ExecutableProduct`: `ipcrm`
* `ExecutableProduct`: `ipcs`
* `ExecutableProduct`: `isosize`
* `ExecutableProduct`: `kill_bin`
* `ExecutableProduct`: `last_bin`
* `ExecutableProduct`: `lastlog2`
* `ExecutableProduct`: `ldattach`
* `ExecutableProduct`: `logger`
* `ExecutableProduct`: `look`
* `ExecutableProduct`: `losetup`
* `ExecutableProduct`: `lsblk`
* `ExecutableProduct`: `lsclocks`
* `ExecutableProduct`: `lscpu`
* `ExecutableProduct`: `lsipc`
* `ExecutableProduct`: `lslocks`
* `ExecutableProduct`: `lslogins`
* `ExecutableProduct`: `lsmem`
* `ExecutableProduct`: `lsns`
* `ExecutableProduct`: `mcookie`
* `ExecutableProduct`: `mesg`
* `ExecutableProduct`: `mkfs`
* `ExecutableProduct`: `mkfs_bfs`
* `ExecutableProduct`: `mkfs_cramfs`
* `ExecutableProduct`: `mkfs_minix`
* `ExecutableProduct`: `mkswap`
* `ExecutableProduct`: `mount`
* `ExecutableProduct`: `mountpoint`
* `ExecutableProduct`: `namei`
* `ExecutableProduct`: `nologin`
* `ExecutableProduct`: `nsenter`
* `ExecutableProduct`: `partx`
* `ExecutableProduct`: `pivot_root`
* `ExecutableProduct`: `prlimit`
* `ExecutableProduct`: `raw`
* `ExecutableProduct`: `readprofile`
* `ExecutableProduct`: `rename_bin`
* `ExecutableProduct`: `renice`
* `ExecutableProduct`: `resizepart`
* `ExecutableProduct`: `rev`
* `ExecutableProduct`: `rfkill`
* `ExecutableProduct`: `rtcwake`
* `ExecutableProduct`: `script`
* `ExecutableProduct`: `scriptlive`
* `ExecutableProduct`: `scriptreplay`
* `ExecutableProduct`: `setarch`
* `ExecutableProduct`: `setpgid`
* `ExecutableProduct`: `setsid`
* `ExecutableProduct`: `sfdisk`
* `ExecutableProduct`: `sulogin`
* `ExecutableProduct`: `swaplabel`
* `ExecutableProduct`: `swapoff`
* `ExecutableProduct`: `swapon`
* `ExecutableProduct`: `switch_root`
* `ExecutableProduct`: `taskset`
* `ExecutableProduct`: `umount`
* `ExecutableProduct`: `unshare`
* `ExecutableProduct`: `utmpdump`
* `ExecutableProduct`: `uuidd`
* `ExecutableProduct`: `uuidgen`
* `ExecutableProduct`: `uuidparse`
* `ExecutableProduct`: `wall`
* `ExecutableProduct`: `wdctl`
* `ExecutableProduct`: `whereis`
* `ExecutableProduct`: `wipefs`
* `ExecutableProduct`: `zramctl`
